Bug 74683 - GnomeICU is missing
GnomeICU is missing
Product: Red Hat Linux
Classification: Retired
Component: gnomeicu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
Jay Turner
: FutureFeature, Triaged
Depends On:
Blocks: DefaultApplications
  Show dependency treegraph
Reported: 2002-09-30 14:23 EDT by Olivier Crête
Modified: 2015-01-07 19:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-04 02:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier Crête 2002-09-30 14:23:22 EDT
It seems gnomeicu is missing from the 8.0 version. Its sad as its the only ICQ
client that has a gnome2 release and the only one that has the most complete
support for the current icq protocol...
Comment 1 Havoc Pennington 2002-09-30 14:31:58 EDT
The ideal situation is one "instant messenger" client that handles the various
protocols. Otherwise the menus have to have:



instead of just:
 Instant Messaging

I'd rather see gaim ICU support fixed up. Or gnomeicu extended to 
handle more protocols.
Comment 2 Olivier Crête 2002-09-30 17:56:03 EDT
Well.. that's in our plans.. AIM and ICQ are pretty much there.. and MSN is
next... But I prefer to have solid support for icq before moving on to other
protocols, so we dont end up like some other clients which support many
protocols but dont support any of them very well...
Comment 3 Havoc Pennington 2002-09-30 18:05:44 EDT
If GnomeICU and GAIM are both trying to cover all protocols, it'd be good to
merge the projects... have there been any discussions like that?

A good solid comparison of both clients would be useful, ideally in a few months
next time we're looking at what packages to add.

I really don't want to have two different chat clients that are functionally
equivalent. :-/
Comment 4 Ali-Reza Anghaie 2002-10-01 12:31:04 EDT
Havoc, one of the problems though is that none of the IM clients out there was 
good support for more than a pair or two of protocols. GAIM's Jabber support 
needs work, it's ICQ has been reported flakey (although current upstream 
version might fix them). 
I think it's reasonable to have two/three IM clients. Personally I'm thinking 
GAIM, Gabber, and GnomeICU. 
If we could get lots of projects to merge it'd be nice. I'm not sure it'll 
happen anytime soon. Look at Koffice, Kroupware, etc. Even though I'm switched 
(mostly) to KDE, I think it's ridiculous not to work w/ Evo and OO. 
In any case. Just MO. Cheers, -Ali
Comment 5 Havoc Pennington 2002-10-01 14:00:51 EDT
> Havoc, one of the problems though is that none of the IM clients out there was 
> good support for more than a pair or two of protocols.

Sure, but that's a bug. :-/

If we have a client that aspires to handle them all, that's the way I really
want to go, and fix any issues with that client's support for given protocols...
Comment 6 Marius Andreiana 2002-10-02 08:58:01 EDT
Don't know if it matters :) but I agree with Havoc. Gaim works great for most of
the users. If others heard about gnomeICU and want to stick to it, feel free to
download and install it, red hat doesn't prohibit it. The majority wants just
'Instant messaging'.
Comment 7 Havoc Pennington 2002-10-02 09:43:44 EDT
Note, if gnomeICU is better, we're happy to consider it. All I'm saying is
wouldn't it be cool if we had just one that worked really well. That's the 
ideal situation.
Comment 8 Nicu Buculei 2002-10-02 10:56:23 EDT
For me the killer feature in gnomeICU was the ability to install an applet in
the panel and control the program from here.
Comment 9 Nicu Buculei 2004-05-04 01:36:03 EDT
this bug was filed before the gnome2 version of Gaim, now IMO is
obsolete, is only duplicate functionality
Comment 10 Warren Togami 2004-05-04 02:00:17 EDT
Agreed.  Nothing will stop gnomeicu from being in Extras later, but
gaim is all we need for Core.

Note You need to log in before you can comment on or make changes to this bug.